%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/miekg/dns
Version:                1.1.55

%gometa

%global common_description %{expand:
Complete and usable DNS library. All Resource Records are supported, including
the DNSSEC types. It follows a lean and mean philosophy. If there is stuff you
should know as a DNS programmer there isn't a convenience function for it.
Server side and client side programming is supported, i.e. you can build servers
and resolvers with it.}

%global golicenses      COPYRIGHT LICENSE
%global godocs          AUTHORS CONTRIBUTORS README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        DNS library in Go

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.55-1
- initial build
